Package org.jfree.report.flow

## Class DefaultReportJob

- java.lang.Object
- - org.jfree.report.flow.DefaultReportJob

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `ReportJob`

      public class DefaultReportJob
      extends java.lang.Object
      implements ReportJob

  Creation-Date: 22.02.2006, 12:47:53
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultReportJob​(ReportStructureRoot report)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` |
    `void` | `close()` |
    `ReportJob` | `derive()` |
    `org.pentaho.reporting.libraries.base.config.ModifiableConfiguration` | `getConfiguration()` |
    `ReportDataFactory` | `getDataFactory()` |
    `java.lang.String` | `getName()` |
    `ReportParameters` | `getParameters()` |
    `ReportStructureRoot` | `getReportStructureRoot()` |
    `ResourceBundleFactory` | `getResourceBundleFactory()` |
    `void` | `setDataFactory​(ReportDataFactory dataFactory)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setResourceBundleFactory​(ResourceBundleFactory resourceBundleFactory)` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultReportJob

          public DefaultReportJob​(ReportStructureRoot report)

  - ### Method Detail

    - #### getConfiguration

          public org.pentaho.reporting.libraries.base.config.ModifiableConfiguration getConfiguration()

      Specified by:
        `getConfiguration` in interface `ReportJob`

    - #### getParameters

          public ReportParameters getParameters()

      Specified by:
        `getParameters` in interface `ReportJob`

    - #### getReportStructureRoot

          public ReportStructureRoot getReportStructureRoot()

      Specified by:
        `getReportStructureRoot` in interface `ReportJob`

    - #### getDataFactory

          public ReportDataFactory getDataFactory()

      Specified by:
        `getDataFactory` in interface `ReportJob`

    - #### setDataFactory

          public void setDataFactory​(ReportDataFactory dataFactory)

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### derive

          public ReportJob derive()

      Specified by:
        `derive` in interface `ReportJob`

    - #### close

          public void close()

      Specified by:
        `close` in interface `ReportJob`

    - #### getResourceBundleFactory

          public ResourceBundleFactory getResourceBundleFactory()

      Specified by:
        `getResourceBundleFactory` in interface `ReportJob`

    - #### setResourceBundleFactory

          public void setResourceBundleFactory​(ResourceBundleFactory resourceBundleFactory)

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `ReportJob`

    - #### setName

          public void setName​(java.lang.String name)